if [ x$feature_default_font_path = xy ] ; then
   font=unicode
else
   font=$prefix/font.pf2
fi

if loadfont $font ; then
  set gfxmode=1024x768
  set gfxpayload=keep
  insmod efi_gop
  insmod efi_uga
  insmod video_bochs
  insmod video_cirrus
  insmod gfxterm
  insmod png
  # Added as a workaround for #1110759
  echo "Loading bootloader..."
  terminal_output gfxterm
fi

if background_image /isolinux/splash.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
elif background_image /splash.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi

insmod play
play 960 440 1 0 4 440 1
set theme=/boot/grub/theme/1
set timeout=5
set default=0
menuentry --hotkey=g 'Graphical Install' {
    set background_color=black
    linux    /install.amd/vmlinuz vga=788 auto=true file=/cdrom/preseed.cfg --- quiet 
    initrd   /install.amd/gtk/initrd.gz
}
menuentry 'Graphical Rescue Mode' {
    set background_color=black
    linux    /install.amd/vmlinuz vga=788 rescue/enable=true --- quiet  
    initrd   /install.amd/gtk/initrd.gz
}
menuentry --hotkey=s 'Install with speech synthesis' {
    set background_color=black
    linux    /install.amd/vmlinuz vga=788 auto=true file=/cdrom/preseed.cfg speakup.synth=soft --- quiet 
    initrd   /install.amd/gtk/initrd.gz
}
